package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 设备变量
 * </p>
 *
 * @author wh
 * @since 2024-01-17
 */
@TableName("hardware_var")
@ApiModel(value="HardwareVar对象", description="设备变量")
public class HardwareVar extends Model<HardwareVar> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "电力支持")
    @TableField("power_supply")
    private Integer powerSupply;

    @ApiModelProperty(value = "感应抽纸长度")
    @TableField("sense_length")
    private Integer senseLength;

    @ApiModelProperty(value = "扫码抽纸长度")
    @TableField("scan_length")
    private Integer scanLength;

    @ApiModelProperty(value = "出纸模式")
    @TableField("paper_type")
    private Integer paperType;

    @ApiModelProperty(value = "纸规格")
    @TableField("paper_norms")
    private String paperNorms;

    @ApiModelProperty(value = "感应出纸次数")
    @TableField("sense_count")
    private Integer senseCount;

    @ApiModelProperty(value = "扫码出纸次数")
    @TableField("scan_count")
    private Integer scanCount;

    @ApiModelProperty(value = "剩余次数")
    @TableField("paper_surplus")
    private Integer paperSurplus;

    @ApiModelProperty(value = "出纸计数")
    @TableField("paper_count")
    private Long paperCount;

    @ApiModelProperty(value = "sn码")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "硬件id")
    @TableField("hardware_id")
    private Long hardwareId;

    @ApiModelProperty(value = "rfid")
    @TableField("rfid")
    private String rfid;

    @ApiModelProperty(value = "感应出纸次数")
    @TableField("paper_state")
    private Integer paperState;

    @ApiModelProperty(value = "扫码出纸次数")
    @TableField("power_state")
    private Integer powerState;

    @ApiModelProperty(value = "剩余次数")
    @TableField("use_state")
    private Integer useState;

    @TableField("position_state")
    private Integer positionState;

    @ApiModelProperty(value = "蓝牙地址")
    @TableField("bluetooth_mac")
    private String bluetoothMac;

    @ApiModelProperty(value = "imsi码")
    @TableField("imsi")
    private String imsi;

    @ApiModelProperty(value = "蓝牙名称")
    @TableField("bluetooth_name")
    private String bluetoothName;

    @ApiModelProperty(value = "锁状态")
    @TableField("lock_state")
    private Integer lockState;

    @ApiModelProperty(value = "清理用纸卷计数")
    @TableField("clean_rfid_count")
    private Integer cleanRfidCount;

    @ApiModelProperty(value = "工程模式0:关;1:开")
    @TableField("project_model")
    private Integer projectModel;

    @ApiModelProperty(value = "出纸模式0:关闭;1:开启")
    @TableField("paper_out_state")
    private Integer paperOutState;

    @ApiModelProperty(value = "满卷标识0:否;1:是")
    @TableField("full_roll_flag")
    private Integer fullRollFlag;

    @ApiModelProperty(value = "校准标识0:否;1:是")
    @TableField("calibrat_flag")
    private Integer calibratFlag;

    @ApiModelProperty(value = "中校准锁定开关")
    @TableField("middle_flag")
    private Integer middleFlag;

    @ApiModelProperty(value = "低校准锁定开关")
    @TableField("lower_flag")
    private Integer lowerFlag;

    @ApiModelProperty(value = "纸校准锁定开关")
    @TableField("paper_lock_flag")
    private Integer paperLockFlag;

    @ApiModelProperty(value = "中故障开关(0:故障;1:正常)")
    @TableField("middle_fault_flag")
    private Integer middleFaultFlag;

    @ApiModelProperty(value = "低故障开关(0:故障;1:正常)")
    @TableField("lower_fault_flag")
    private Integer lowerFaultFlag;

    @ApiModelProperty(value = "当前锁定状态出纸次数")
    @TableField("paper_lock_count")
    private Integer paperLockCount;

    @ApiModelProperty(value = "非法纸禁出功能(0:关闭;1:启用)")
    @TableField("illegal_paper_disable")
    private Integer illegalPaperDisable;

    @ApiModelProperty(value = "非法纸禁出状态(0:禁出;1:未禁出)")
    @TableField("illegal_paper_disable_state")
    private Integer illegalPaperDisableState;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Integer getPowerSupply() {
        return powerSupply;
    }

    public void setPowerSupply(Integer powerSupply) {
        this.powerSupply = powerSupply;
    }

    public Integer getSenseLength() {
        return senseLength;
    }

    public void setSenseLength(Integer senseLength) {
        this.senseLength = senseLength;
    }

    public Integer getScanLength() {
        return scanLength;
    }

    public void setScanLength(Integer scanLength) {
        this.scanLength = scanLength;
    }

    public Integer getPaperType() {
        return paperType;
    }

    public void setPaperType(Integer paperType) {
        this.paperType = paperType;
    }

    public String getPaperNorms() {
        return paperNorms;
    }

    public void setPaperNorms(String paperNorms) {
        this.paperNorms = paperNorms;
    }

    public Integer getSenseCount() {
        return senseCount;
    }

    public void setSenseCount(Integer senseCount) {
        this.senseCount = senseCount;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public Integer getPaperSurplus() {
        return paperSurplus;
    }

    public void setPaperSurplus(Integer paperSurplus) {
        this.paperSurplus = paperSurplus;
    }

    public Long getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Long paperCount) {
        this.paperCount = paperCount;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Long getHardwareId() {
        return hardwareId;
    }

    public void setHardwareId(Long hardwareId) {
        this.hardwareId = hardwareId;
    }

    public String getRfid() {
        return rfid;
    }

    public void setRfid(String rfid) {
        this.rfid = rfid;
    }

    public Integer getPaperState() {
        return paperState;
    }

    public void setPaperState(Integer paperState) {
        this.paperState = paperState;
    }

    public Integer getPowerState() {
        return powerState;
    }

    public void setPowerState(Integer powerState) {
        this.powerState = powerState;
    }

    public Integer getUseState() {
        return useState;
    }

    public void setUseState(Integer useState) {
        this.useState = useState;
    }

    public Integer getPositionState() {
        return positionState;
    }

    public void setPositionState(Integer positionState) {
        this.positionState = positionState;
    }

    public String getBluetoothMac() {
        return bluetoothMac;
    }

    public void setBluetoothMac(String bluetoothMac) {
        this.bluetoothMac = bluetoothMac;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getBluetoothName() {
        return bluetoothName;
    }

    public void setBluetoothName(String bluetoothName) {
        this.bluetoothName = bluetoothName;
    }

    public Integer getLockState() {
        return lockState;
    }

    public void setLockState(Integer lockState) {
        this.lockState = lockState;
    }

    public Integer getCleanRfidCount() {
        return cleanRfidCount;
    }

    public void setCleanRfidCount(Integer cleanRfidCount) {
        this.cleanRfidCount = cleanRfidCount;
    }

    public Integer getProjectModel() {
        return projectModel;
    }

    public void setProjectModel(Integer projectModel) {
        this.projectModel = projectModel;
    }

    public Integer getPaperOutState() {
        return paperOutState;
    }

    public void setPaperOutState(Integer paperOutState) {
        this.paperOutState = paperOutState;
    }

    public Integer getFullRollFlag() {
        return fullRollFlag;
    }

    public void setFullRollFlag(Integer fullRollFlag) {
        this.fullRollFlag = fullRollFlag;
    }

    public Integer getCalibratFlag() {
        return calibratFlag;
    }

    public void setCalibratFlag(Integer calibratFlag) {
        this.calibratFlag = calibratFlag;
    }

    public Integer getMiddleFlag() {
        return middleFlag;
    }

    public void setMiddleFlag(Integer middleFlag) {
        this.middleFlag = middleFlag;
    }

    public Integer getLowerFlag() {
        return lowerFlag;
    }

    public void setLowerFlag(Integer lowerFlag) {
        this.lowerFlag = lowerFlag;
    }

    public Integer getPaperLockFlag() {
        return paperLockFlag;
    }

    public void setPaperLockFlag(Integer paperLockFlag) {
        this.paperLockFlag = paperLockFlag;
    }

    public Integer getMiddleFaultFlag() {
        return middleFaultFlag;
    }

    public void setMiddleFaultFlag(Integer middleFaultFlag) {
        this.middleFaultFlag = middleFaultFlag;
    }

    public Integer getLowerFaultFlag() {
        return lowerFaultFlag;
    }

    public void setLowerFaultFlag(Integer lowerFaultFlag) {
        this.lowerFaultFlag = lowerFaultFlag;
    }

    public Integer getPaperLockCount() {
        return paperLockCount;
    }

    public void setPaperLockCount(Integer paperLockCount) {
        this.paperLockCount = paperLockCount;
    }

    public Integer getIllegalPaperDisable() {
        return illegalPaperDisable;
    }

    public void setIllegalPaperDisable(Integer illegalPaperDisable) {
        this.illegalPaperDisable = illegalPaperDisable;
    }

    public Integer getIllegalPaperDisableState() {
        return illegalPaperDisableState;
    }

    public void setIllegalPaperDisableState(Integer illegalPaperDisableState) {
        this.illegalPaperDisableState = illegalPaperDisableState;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "HardwareVar{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", powerSupply=" + powerSupply +
        ", senseLength=" + senseLength +
        ", scanLength=" + scanLength +
        ", paperType=" + paperType +
        ", paperNorms=" + paperNorms +
        ", senseCount=" + senseCount +
        ", scanCount=" + scanCount +
        ", paperSurplus=" + paperSurplus +
        ", paperCount=" + paperCount +
        ", snCode=" + snCode +
        ", hardwareId=" + hardwareId +
        ", rfid=" + rfid +
        ", paperState=" + paperState +
        ", powerState=" + powerState +
        ", useState=" + useState +
        ", positionState=" + positionState +
        ", bluetoothMac=" + bluetoothMac +
        ", imsi=" + imsi +
        ", bluetoothName=" + bluetoothName +
        ", lockState=" + lockState +
        ", cleanRfidCount=" + cleanRfidCount +
        ", projectModel=" + projectModel +
        ", paperOutState=" + paperOutState +
        ", fullRollFlag=" + fullRollFlag +
        ", calibratFlag=" + calibratFlag +
        ", middleFlag=" + middleFlag +
        ", lowerFlag=" + lowerFlag +
        ", paperLockFlag=" + paperLockFlag +
        ", middleFaultFlag=" + middleFaultFlag +
        ", lowerFaultFlag=" + lowerFaultFlag +
        ", paperLockCount=" + paperLockCount +
        ", illegalPaperDisable=" + illegalPaperDisable +
        ", illegalPaperDisableState=" + illegalPaperDisableState +
        "}";
    }
}
